View Issue Details

IDProjectCategoryView StatusLast Update
0001664SymmetricDSBugpublic2014-04-14 22:19
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.19 
Target Version3.5.20Fixed in Version3.5.20 
Summary0001664: NullPointer with MSSQL Bulk Loader
DescriptionUnable to create staging file because the table name variable is not initialized.

2014-04-10 09:08:18,011 ERROR [node] [DataLoaderService] [qtp1067127547-21] Failed while parsing batch
java.lang.NullPointerException
    at org.jumpmind.symmetric.io.data.writer.MsSqlBulkDatabaseWriter.createStagingFile(MsSqlBulkDatabaseWriter.java:146)
    at org.jumpmind.symmetric.io.data.writer.MsSqlBulkDatabaseWriter.start(MsSqlBulkDatabaseWriter.java:54)
    at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.start(NestedDataWriter.java:60)
    at org.jumpmind.symmetric.model.ProcessInfoDataWriter.start(ProcessInfoDataWriter.java:58)
    at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.start(NestedDataWriter.java:60)
    at org.jumpmind.symmetric.io.data.writer.TransformWriter.start(TransformWriter.java:141)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:162)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:114)
    at org.jumpmind.symmetric.service.impl.DataLoaderService.loadDataFromTransport(DataLoaderService.java:418)
    at org.jumpmind.symmetric.service.impl.DataLoaderService.loadDataFromPush(DataLoaderService.java:325)
    at org.jumpmind.symmetric.web.PushUriHandler.push(PushUriHandler.java:79)
    at org.jumpmind.symmetric.web.PushUriHandler.handle(PushUriHandler.java:66)
    at org.jumpmind.symmetric.web.SymmetricServlet.service(SymmetricServlet.java:98)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master eae2f7a5

2014-04-10 10:49:11

erilong

Details Diff
0001664: NullPointer with MSSQL Bulk Loader
0001664
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-04-10 10:46 elong New Issue
2014-04-10 10:46 elong Status new => assigned
2014-04-10 10:46 elong Assigned To => elong
2014-04-10 10:49 elong Status assigned => resolved
2014-04-10 10:49 elong Fixed in Version => 3.5.20
2014-04-10 10:49 elong Resolution open => fixed
2014-04-10 11:00 Changeset attached => SymmetricDS 3.5 r8147
2014-04-10 11:00 Changeset attached => SymmetricDS trunk r8148
2014-04-14 22:19 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master eae2f7a5